Mailinglist Archive: opensuse-factory (375 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180501 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180501

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
NetworkManager-pptp
PackageKit (1.1.9 -> 1.1.10)
ceph (13.0.2.984+g852d3f1411 -> 13.0.2.1874+ge31585919b)
checkmedia (3.7 -> 3.8)
corosync
dracut
empathy
ffmpeg3
flac
gettext-runtime
ghostscript-fonts-grops
gnome-control-center
gnome-themes-extra (3.27.90 -> 3.28)
gtk3
hdf5
kernel-source (4.16.4 -> 4.16.5)
konversation
libgit2-glib
libqt5-qtbase
libsocialweb
libstorage-ng (3.3.253 -> 3.3.262)
libx86emu (1.12 -> 1.14)
libzypp (17.3.0 -> 17.3.1)
libzypp-plugin-appdata (1.0.1+git.20180327 -> 1.0.1+git.20180426)
nano (2.9.5 -> 2.9.6)
nautilus-share
ntp
openvpn (2.4.3 -> 2.4.6)
patterns-base
plasma5-openSUSE
plasma5-workspace
powerdevil5
python-qt5
qemu
rdma-core
sddm
tdb
telepathy-mission-control
texlive
tracker
transactional-update (2.0 -> 2.1)
udisks2
uget (2.2.0 -> 2.2.1)
virtualbox (5.2.10_k4.16.4_1 -> 5.2.10_k4.16.5_1)
yast2 (4.0.71 -> 4.0.72)
yast2-packager (4.0.59 -> 4.0.60)
yast2-samba-client (4.0.0 -> 4.0.2)
yast2-storage-ng (4.0.164 -> 4.0.169)
yast2-trans (84.87.20180424.7ac5bcf28 -> 84.87.20180427.16d13b087)
zypper (1.14.4 -> 1.14.5)

=== Details ===

==== NetworkManager-pptp ====
Subpackages: NetworkManager-pptp-gnome NetworkManager-pptp-lang

- Following changes in NetworkManager: pass without-libnm-glib to
configure, no longer build deprecated libnm-glib support.
- Following the above changes: Drop no longer needed
pkgconfig(NetworkManager), pkgconfig(libnm-glib),
pkgconfig(libnm-glib-vpn), pkgconfig(libnm-gtk) and
pkgconfig(libnm-util) BuildRequires.
- Package missing COPYING file.
- Package m-pptp-service.conf as config, silence rpmlint.
- Drop unnneeded NetworkManager-gnome Requires from gnome
sub-package, it is not longer of use for us.

==== PackageKit ====
Version update (1.1.9 -> 1.1.10)
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Update to version 1.1.10:
+ Notes: This release fixes CVE-2018-1106 which is a moderate
security issue (boo#1086936).
+ Backends:
- zypp:
. Implement GetDetailsLocal in zypp backend.
. Improve refresh-cache function in zypp backend.
- Various changes related to aptcc and dnf.
- Drop PackageKit-zypp-backend-improve-refresh-cache.patch and
PackageKit-zypp-backend-get-details-local.patch: Fixed upstream.
- Drop NetworkManager-devel BuildRequires: Not used since version
1.1.7.

==== ceph ====
Version update (13.0.2.984+g852d3f1411 -> 13.0.2.1874+ge31585919b)
Subpackages: librados2 librbd1

- Update to 13.0.2-1874-ge31585919b:
+ based on upstream master 510762f51e346836492a0a8f83a056944ee6e046
* add liblz4 build- and runtime dependency
* move ceph-disk runtime dependencies from ceph-osd to ceph-base
- Update to 13.0.2-992-g418baeac64:
+ fix ceph-detect-init for recent SUSEs (bsc#1090072)
- rewrite README-ceph-test.txt for clarity

==== checkmedia ====
Version update (3.7 -> 3.8)

- merge gh#openSUSE/checkmedia#5
- improve documentation
- fix Makefile
- update git2log script
- add simple usage examples
- 3.8

==== corosync ====
Subpackages: libcmap4 libcorosync_common4

- NSS_NoDB_Init: the parameter is reserved, must be NULL(bsc#1090996)
Added: 0011-NSS_NoDB_Init-the-parameter-is-reserved-must-be-NULL.patch

==== dracut ====

- 01fips: fix FIPS mode on SLES 15 (bsc#1074984)
* adds 0567-Fix-booting-with-fips-1-on-SLES-15.patch

==== empathy ====

- Replace pkgconfig(libnm-glib) with pkgconfig(libnm)
BuildRequires.

==== ffmpeg3 ====
Subpackages: libavcodec57 libavdevice57 libavfilter6 libavformat57
libavresample3 libavutil55 libpostproc54 libswresample2 libswscale4

- Add 0001-avformat-img2dec-fix-infinite-loop.patch [boo#1090826]

==== flac ====
Subpackages: libFLAC++6 libFLAC8

- Fix memory leak in read_metadata_vorbiscomment_() function
(CVE-2017-6888, bsc#1091045):
flac-CVE-2017-6888.patch

==== gettext-runtime ====
Subpackages: gettext-tools

- Ignore Recommends: on non-SUSE distributions
- Explicitly remove %{_infodir}/dir before creating package to
allow builds on RHEL and derived Linux distributions

==== ghostscript-fonts-grops ====

- expand groff_version macro
- fix factory build

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Drop pkgconfig(libnm-glib-vpn) and pkgconfig(libnm-gtk)
BuildRequires: No longer needed, nor checked for by meson.

==== gnome-themes-extra ====
Version update (3.27.90 -> 3.28)
Subpackages: gnome-themes-accessibility gnome-themes-accessibility-gtk2
gtk2-metatheme-adwaita gtk2-theming-engine-adwaita
gtk2-theming-engine-adwaita-32bit gtk3-metatheme-adwaita
metatheme-adwaita-common

- Update to version 3.28:
+ Fix HC index.theme generation.
+ Fix typo.
- Update descriptions.
- Update to version 3.27.92:
+ Distribute README.md and LICENSE (again).
- Rename package from gnome-themes-standard to gnome-themes-extra.
- Drop License source, fixed upstream.
- Drop translations-update-upstream BuildRequires: Not in use since
GNOME 3.8, since the translations was dropped then.

==== gtk3 ====
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-lang
gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Mark /etc/gtk-3.0/settings.ini as config(noreplace): admins that
update this file most likely want to keep their changes
(boo#1087507) - and the distro does not have very frequent
changes in this file.

==== hdf5 ====
Subpackages: libhdf5-101 libhdf5_hl100

- Fix HPC library master packages dependency: make it require
the correct flavor (bsc#1091237).

==== kernel-source ====
Version update (4.16.4 -> 4.16.5)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.16.5 (bnc#1012628).
- cifs: smbd: Check for iov length on sending the last iov
(bnc#1012628).
- cifs: do not allow creating sockets except with SMB1 posix
exensions (bnc#1012628).
- btrfs: fix unaligned access in readdir (bnc#1012628).
- btrfs: Fix race condition between delayed refs and blockgroup
removal (bnc#1012628).
- x86/acpi: Prevent X2APIC id 0xffffffff from being accounted
(bnc#1012628).
- clocksource/imx-tpm: Correct -ETIME return condition check
(bnc#1012628).
- posix-cpu-timers: Ensure set_process_cpu_timer is always
evaluated (bnc#1012628).
- x86/tsc: Prevent 32bit truncation in calc_hpet_ref()
(bnc#1012628).
- drm/vc4: Fix memory leak during BO teardown (bnc#1012628).
- drm/i915/gvt: throw error on unhandled vfio ioctls
(bnc#1012628).
- drm/i915/gvt: Add drm_format_mod update (bnc#1012628).
- drm/i915/bios: filter out invalid DDC pins from VBT child
devices (bnc#1012628).
- drm/i915/audio: Fix audio detection issue on GLK (bnc#1012628).
- drm/i915: Do no use kfree() to free a kmem_cache_alloc()
return value (bnc#1012628).
- drm/i915: Fix LSPCON TMDS output buffer enabling from low-power
state (bnc#1012628).
- alarmtimer: Init nanosleep alarm timer on stack (bnc#1012628).
- mm,vmscan: Allow preallocating memory for register_shrinker()
(bnc#1012628).
- netfilter: x_tables: cap allocations at 512 mbyte (bnc#1012628).
- netfilter: x_tables: add counters allocation wrapper
(bnc#1012628).
- netfilter: compat: prepare xt_compat_init_offsets to return
errors (bnc#1012628).
- netfilter: compat: reject huge allocation requests
(bnc#1012628).
- netfilter: x_tables: limit allocation requests for blob rule
heads (bnc#1012628).
- perf: Fix sample_max_stack maximum check (bnc#1012628).
- perf: Return proper values for user stack errors (bnc#1012628).
- RDMA/mlx5: Fix NULL dereference while accessing XRC_TGT QPs
(bnc#1012628).
- Revert "KVM: X86: Fix SMRAM accessing even if VM is shutdown"
(bnc#1012628).
- mac80211_hwsim: fix use-after-free bug in hwsim_exit_net
(bnc#1012628).
- Refresh
patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch.
- commit 16c5ff9
- Revert "ath10k: send (re)assoc peer command when NSS changed"
(bsc#1090458).
- commit 3f3a85c

==== konversation ====
Subpackages: konversation-lang

- Add patch to fix build with Qt 5.11:
* fix-build-qt-5.11.patch

==== libgit2-glib ====

- Add libgit2-glib-libgit2-0.27.0.patch: Fix build with libgit2
0.27.0. Patch only conditionally applied.

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Add patches to fix crashes with certain sqlite queries:
* 0001-sqlite-Check-that-there-are-values-to-be-set-when-bi.patch
* 0002-sqlite-Bind-duplicated-named-placeholders-correctly.patch
* 0003-sqlite-Prevent-a-crash-when-sqlite-does-not-detect-a.patch

==== libsocialweb ====
Subpackages: libsocialweb-lang libsocialweb0

- Drop pkgconfig(libnm-glib) BuildRequires, as it is deprecated
upstream and going away soon.
- Following the above, pass --with-online=always in place of the
previous --with-online=networkmanager to configure.

==== libstorage-ng ====
Version update (3.3.253 -> 3.3.262)
Subpackages: libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Italian)
- 3.3.262
- Translated using Weblate (Spanish)
- 3.3.261
- Translated using Weblate (Spanish)
- 3.3.260
- Translated using Weblate (Czech)
- 3.3.259
- Translated using Weblate (Dutch)
- 3.3.258
- Translated using Weblate (Japanese)
- 3.3.257
- Translated using Weblate (Dutch)
- 3.3.256
- merge gh#openSUSE/libstorage-ng#523
- merged po files
- 3.3.255
- merge gh#openSUSE/libstorage-ng#522
- centralized reading /sys/block
- added function light_probe (for bsc#1090753)
- added integration test
- 3.3.254

==== libx86emu ====
Version update (1.12 -> 1.14)

- merge gh#wfeldt/libx86emu#11
- enhance documentation
- update git2log script
- add better description
- 1.14
- merge gh#wfeldt/libx86emu#7
- add a small demo program
- 1.13

==== libzypp ====
Version update (17.3.0 -> 17.3.1)

- Avoid zombie tar processes (bsc#1076192)
- Replace the terminology 'uninstallable' with 'not installable'
(bsc#1029392)
- version 17.3.1 (2)

==== libzypp-plugin-appdata ====
Version update (1.0.1+git.20180327 -> 1.0.1+git.20180426)

- Update to version 1.0.1+git.20180426:
* systemd-service: we only need local filesystem, no network.
- Update to version 1.0.1+git.20180425:
* Rewrite InstallAppdata in python, having slightly better
control over the execution
* Add systemd service to resync the repodata cache (boo#1009745).

==== nano ====
Version update (2.9.5 -> 2.9.6)
Subpackages: nano-lang

- GNU nano 2.9.6:
* fix a crash in word completion
* make --enable-altrcname work again
* improve the fluidity of scrolling when using the touchpad
* tweak the syntaxes for shell scripts and PO files
* make a replacing session go always forward by default
* no longer insert a newline after an external spell check of a
selected region
* always accept the English Y and N (and A) at a yes-no prompt
in any locale

==== nautilus-share ====
Subpackages: nautilus-share-lang

- Drop Requires: gnome-icon-theme; the appropriate icon is
provided by adwaita-icon-theme (pulled in by gtk3) already.

==== ntp ====
Subpackages: ntp-doc

- Refactor the key handling in %post so that it does not overwrite
user settings (bsc#1036505) and is more robust against ignored
SIGPIPE (bsc#1090564).

==== openvpn ====
Version update (2.4.3 -> 2.4.6)

- Update to 2.4.6:
* CVE-2018-9336, bsc#1090839: Fix potential double-free() in
Interactive Service
* Delete the IPv6 route to the "connected" network on tun close
* Management: warn about password only when the option is in use
* Avoid overflow in wakeup time computation
- Remove --askpass again, because it was also asking for a password
when none was needed. As a workaround for keys that need a
password, the "askpass" statement should be added to the config
file (bsc#1078026).
- Use Type=notify in openvpn.service to reflect what openvpn is
actually doing.
- Import the new signing key from upstream.
- Remove obsolete configure switch --enable-password-save .
- Update to 2.4.5
* New features
+ The new option --tls-cert-profile can be used to restrict the
set of allowed crypto algorithms in TLS certificates in mbed
TLS builds. The default profile is 'legacy' for now, which
allows SHA1+, RSA-1024+ and any elliptic curve certificates.
The default will be changed to the 'preferred' profile in the
future, which requires SHA2+, RSA-2048+ and any curve.
+ openvpnserv: Add support for multi-instances (to support
multiple parallel OpenVPN installations, like EduVPN and
regular OpenVPN)
+ Use P_DATA_V2 for server->client packets too (better packet
alignment)
+ improve management interface documentation
+ rework registry key handling for OpenVPN service, notably
making most registry values optional, falling back to
reasonable defaults
+ accept IPv6 address for pushed "dhcp-option DNS ..." (make
OpenVPN 2 option compatible with OpenVPN 3 iOS and Android
clients)
* Bug fixes
+ Fix --tls-version-min and --tls-version-max for OpenSSL 1.1+
+ Fix lots of compiler warnings (format string, type casts, ...)
+ reload HTTP proxy credentials when moving to the next
connection profile
+ Fix build with LibreSSL (multiple times)
+ Remove non-useful warning on pushed tun-ipv6 option.
+ autoconf: Fix engine checks for openssl 1.1
+ lz4: Rebase compat-lz4 against upstream v1.7.5
+ lz4: Fix broken builds when pkg-config is not present but
system library is
+ Fix '--bind ipv6only'
+ Allow learning iroutes with network made up of all 0s
- Includes 2.4.4
* Bug fixes
+ Fix issues when a pushed cipher via the Negotiable Crypto
Parameters (NCP) is rejected by the remote side
+ Ignore --keysize when NCP have resulted in a changed cipher
+ Configurations using --auth-nocache and the management
interface to provide user credentials (like NetworkManager)
on client side with servers implementing authentication
tokens (for example, using --auth-gen-token) will now behave
correctly and not query the user for an, to them, unknown
authentication token on renegotiations of the tunnel.
+ Invalid or corrupt SOCKS port number when changing the proxy
via the management interface.
+ man page should now have proper escaping of hyphen/minus
characters and other minor corrections.
* User-visible Changes
+ Linux servers with systemd which use the openvpn-server@.service
unit file for server configurations will now utilize the
automatic restart feature in systemd. If the OpenVPN server
process dies unexpectedly, systemd will ensure the OpenVPN
configuration will be restarted automatically.
* Deprecated
+ --no-replay (will be removed in 2.5)
+ --keysize (will be removed in 2.6)
* Security
+ CVE-2017-12166: Fix bounds check for configurations using
- -key-method 1. Before this fix, attackers could send a
malformed packet to trigger a stack overflow. This is
considered to be a low risk issue, as --key-method 2 has
been the default since 2.0 (released on 2005-04-17). This
option is already deprecated in v2.4 and will be completely
removed in v2.5.
- Rebase openvpn-fips140-2.3.2.patch
- Drop 0002-Fix-bounds-check-in-read_key.patch
* upstreamed in c7e259160b28e94e4ea7f0ef767f8134283af255
- Partial cleanup with spec-cleaner

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-apparmor_opt
patterns-base-base patterns-base-basesystem patterns-base-console
patterns-base-enhanced_base patterns-base-enhanced_base_opt
patterns-base-minimal_base patterns-base-minimal_base_conflicts
patterns-base-sw_management patterns-base-transactional_base patterns-base-x11
patterns-base-x11_opt patterns-base-x86

- Add busybox to base patterns in case your system explodes, in
past we had sash doing the same

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Adjust sddmtheme.diff to changes in plasma5-workspace

==== plasma5-workspace ====
Subpackages: plasma5-session plasma5-session-wayland plasma5-workspace-lang
plasma5-workspace-libs

- Add patch to avoid listing all users over NIS:
* lazy-sddm-theme.patch

==== powerdevil5 ====
Subpackages: powerdevil5-lang

- Add patch to fix initial config generation (kde#391782):
* 0001-Ignore-migration-key-for-determining-whether-the-con.patch

==== python-qt5 ====
Subpackages: python-qt5-utils python3-qt5

- Add patch to support Qt 5.9.4, 5.9.5 and Qt 5.11.0:
* update-timeline.patch
- Refresh patch to work with -p1:
* disable-rpaths.diff

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-rbd qemu-block-ssh qemu-extra qemu-guest-agent
qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios
qemu-sgabios qemu-tools qemu-vgabios qemu-x86

- Fix autoinstall of qemu-guest-agent by getting the modalias string
right (bsc#1091143)
- Guard strncpy call with GCC pragma to disable warning about possible
incorrect usage, when in fact it is correct. This is for gcc 8
compatibility (bsc#1090355)
ipxe-efi-guard-strncpy-with-gcc-warning-ignore-pragma.patch
- Add WantedBy for enable qemu-ga@.service auto start (bsc#1090369)
- fix qemu-ga service file name (bsc#1089067)

==== rdma-core ====
Subpackages: libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Add umad-Do-not-check-for-umad-sysfs-files-in-umad_init.patch to fix
umad/ibstat support on RoCE hardware (bsc#1088441).

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Add patch to show a username input field with too many users:
* 0006-Don-t-fill-UserModel-if-theme-does-not-require-it.patch
- Backport related changes from develop branch:
* 0001-Support-for-theme-supplied-default-avatars.patch
* 0002-Remove-trailing-spaces.patch
* 0003-UserModel-optimize-filtering-out-duplicate-users-995.patch
* 0004-UserModel-fix-filtering-out-duplicate-users-998.patch
* 0005-UserModel-optimize-setting-of-default-user-icon-999.patch
- Revert previous change, had the opposite effect for some reason
- Start the X server with -keeptty (boo#1089287)

==== tdb ====
Subpackages: libtdb1 libtdb1-32bit python-tdb tdb-tools

- Remove the conflicts between python3-tdb and python-tdb. These
packages don't actually conflict, and need to be installed
together in order to build samba with python3.

==== telepathy-mission-control ====
Subpackages: libmission-control-plugins0

- Drop upstream deprecated pkgconfig(libnm-glib) BuildRequires.

==== texlive ====

- Add patch source-dvipdfm-x.dif to fix XeTeX bug #151

==== tracker ====
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Replace pkgconfig(libnm-glib) with pkgconfig(libnm)
BuildRequires, this is what configure checks for.

==== transactional-update ====
Version update (2.0 -> 2.1)

- Update to version 2.1
- Cleanup the code cleaning up /etc

==== udisks2 ====
Subpackages: libudisks2-0 libudisks2-0_btrfs udisks2-lang

- Add missing libblockdev-loop Requires tag: it is needed by
default.

==== uget ====
Version update (2.2.0 -> 2.2.1)
Subpackages: uget-lang

- Update to version 2.2.1:
+ reduce memory usage.
+ mega plug-in: completed size should not be '-1' if file size
> 2G on a 32-bit system.
+ adjust speed limit independently without enabling global speed
limit.
+ Fix: Can't get 1080p video from YouTube.
+ update translation files.

==== virtualbox ====
Version update (5.2.10_k4.16.4_1 -> 5.2.10_k4.16.5_1)
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11

- The 3rd time is the charm.
- Fix typo that broke builds for kernel 4.16.
- Update "fixes_for_4.17.patch" for some additional API changes.

==== yast2 ====
Version update (4.0.71 -> 4.0.72)

- Add a text helper to wrap richtext in directional markers
(bsc#1089846).
- 4.0.72

==== yast2-packager ====
Version update (4.0.59 -> 4.0.60)

- Fix text direction for RTL languages in software patterns list
(bsc#1089846).
- 4.0.60

==== yast2-samba-client ====
Version update (4.0.0 -> 4.0.2)

- yast-samba-client fails to join if /etc/samba/smb.conf or
/etc/krb5.conf don't exist; (bsc#1089938)
- 4.0.2
- Use firewalld samba service definition (bsc#1083456)
- 4.0.1

==== yast2-storage-ng ====
Version update (4.0.164 -> 4.0.169)

- Partitioner: fixed checks when the root filesystem is NFS
(bsc#1090752).
- 4.0.169
- add method to check if system has any disk device (bsc#1090753)
- 4.0.168
- Set fs_passno to 1 for ext2/3/4 root filesystems (bsc#1078703).
- 4.0.167
- fix libstorage logging that do not expect printf expansion
(bsc#1091062)
- 4.0.166
- Ensure the installer adds reused devices to /etc/crypttab and/or
/etc/mdadm.conf if needed for booting (bsc#1071350).
- 4.0.165

==== yast2-trans ====
Version update (84.87.20180424.7ac5bcf28 -> 84.87.20180427.16d13b087)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv
yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi
yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20180427.16d13b087 (bsc#1085376):
* Fixed spaces in URL
* New POT for text domain 'bootloader'.
* New POT for text domain 'control'.
* New POT for text domain 'network'.
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Dutch)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Hungarian)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Korean)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)
* Translated using Weblate (Swedish)

==== zypper ====
Version update (1.14.4 -> 1.14.5)
Subpackages: zypper-aptitude zypper-log

- search: Hint the user to the 'search-packages' subcommand, if the
distribution provides it (bsc#1089994)
- clean: Don't report an error, if no repo is to be cleaned
(bsc#1089504)
- Add --installroot flag (fixes #157)
- version 1.14.5


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages